from pydantic import BaseModel, Field, ConfigDict
from typing import Optional
from datetime import datetime


# FILE
class OrderSchema(BaseModel):
    id: str = Field(..., title="id")
    filename: str = Field(..., title="filename")
    type: str = Field(..., title="type")
    filesize_kb: float = Field(..., title="filesize_kb")
    source: str = Field(..., title="source")
    status: str = Field(..., title="status")
    service: Optional[str] = Field(None, title="service")
    date_created: datetime = Field(..., title="date_created")
    date_modified: datetime = Field(..., title="date_modified")

    # This enables ORM mode
    model_config = ConfigDict(from_attributes=True)